Hitachi Vantara Pentaho Community Forums
Results 1 to 3 of 3

Thread: Pentaho 3.0.1 on RHEL

  1. #1

    Default Pentaho 3.0.1 on RHEL

    2.5.2 has been running fine on RHEL 4. I just installed 3.01 and get an error on an attempt to start spoon.

    Any suggestions? Thanks

    [xxxx@prdpentbi01 kettle.3.0.1]$ ./spoon.sh
    find: ./libswt/x86/: No such file or directory
    Exception in thread "main" java.lang.NoClassDefFoundError: /org/eclipse/swt/widgets/Composite

  2. #2
    Join Date
    May 2006
    Posts
    4,882

    Default

    - What's your version of JDK (show us a java -version)
    - Did you properly unpack the whole 3.0.1 file.... meaning is the latest version of spoon.sh available and do you have a libswt/linux/x86 directory under the home directory of the kettle installation.

    - Is the v3.0.1 first in the PATH

    At first sight it looks to me like your using the old version of spoon.sh either wrongly unpacked or a PATH problem

    Regards,
    Sven

  3. #3
    Join Date
    Aug 2007
    Posts
    4

    Default

    dogfuel,
    I had the same problem, but I found the following on a Centos Forum: "When changing the version of Java you must create symlinks in the /usr/bin directory. Use the current symlinks as templates. You must also update the file /etc/profile.d/java.sh with the new java directory."
    So make sure that if you update your version of java that you update the symlinks or the OS only sees the older version of the java runtime.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Privacy Policy | Legal Notices | Safe Harbor Privacy Policy

Copyright © 2005 - 2019 Hitachi Vantara Corporation. All Rights Reserved.